Bug 238888 - yumex crash after update kernel 2.6.20-1.2948.fc6 and more
yumex crash after update kernel 2.6.20-1.2948.fc6 and more
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-03 13:26 EDT by Edward
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-12 03:03:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward 2007-05-03 13:26:04 EDT
Description of problem:
Component: yumex
Version: 1.2.3
Summary: TB3638d33a ConfigParser.py:511:get:NoSectionError: No section: 'main'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 1115, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 507, in __init__
    self.profile = Profile()
  File "/usr/lib/python2.4/site-packages/yumex/yumexUtils.py", line 1202, in
    self.active=self.profiles.get( "main", "LastProfile" )
  File "/usr/lib/python2.4/ConfigParser.py", line 511, in get
    raise NoSectionError(section)
NoSectionError: No section: 'main'

Local variables in innermost frame:
d: {}
vars: None
self: <ConfigParser.ConfigParser instance at 0x9362fec>
raw: False
section: main
option: LastProfile

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Tim Lauridsen 2007-05-08 09:14:14 EDT
Look like a problem with /etc/yumex.profiles.conf 

it should contain a [main] section.
Comment 2 Tim Lauridsen 2007-06-12 03:03:38 EDT
Default /etc/yumex.profiles.conf 

lastprofile = yum-enabled

Note You need to log in before you can comment on or make changes to this bug.